Package: org.gradle.api.resources

## [Java] Interface ResourceHandler

- Provides access to resource-specific utility methods, for example factory methods that create various resources.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `ReadableResource` | `bzip2(Object path)` Creates resource that points to a bzip2 compressed file at the given path.
    `TextResourceFactory` | `getText()` Returns a factory for creating `TextResource`s from various sources such as strings, files, and archive entries.
    `ReadableResource` | `gzip(Object path)` Creates resource that points to a gzip compressed file at the given path.

- - ### Method Detail

    - #### public ReadableResource bzip2(Object path)

      Creates resource that points to a bzip2 compressed file at the given path. The path is evaluated as per Project.file.

      Parameters:
        `path` - The path evaluated as per Project.file.

    - #### @Incubating public TextResourceFactory getText()

      Returns a factory for creating `TextResource`s from various sources such as strings, files, and archive entries.

      Returns:
        a factory for creating `TextResource`s
      Since:
        2.2

    - #### public ReadableResource gzip(Object path)

      Creates resource that points to a gzip compressed file at the given path. The path is evaluated as per Project.file.

      Parameters:
        `path` - The path evaluated as per Project.file.